# Contributor Communications

The Contributor Communications team (Contributor Comms for short) is part of the `community-management` subproject in [Contributor Experience]. View our [charter] to learn more about us.

## Purpose

To better inform the Kubernetes contributor community and highlight their work to the broader ecosystem.

## Roles
The Contributor Comms subproject uses leadership roles to organize and delegate work of varying types. Contributors who have been a part of our group for a while and who have specific interests or skills may be interested in becoming a shadow. Shadows are contributors who work closely with a specific lead with the intent of taking over the lead role. Current leads and shadows are listed in the table below.

| Area & Handbook Link | Team | Notes |
| --- | --- | --- |
| Subproject Lead | @kaslin, @chris-short | @AvineshTripathi (shadow) |
| [Social Media Coordinator](https://github.com/kubernetes/community/blob/master/communication/contributor-comms/role-handbooks/Social-Media.md) |@kaslin | @Hii-Arpit (shadow) |
| [Comms Tech Lead](https://github.com/kubernetes/community/blob/master/communication/contributor-comms/role-handbooks/Comms-Tech-Lead.md) | @SD-13 | Shadow role is available. |
| [Comms Blog Coordinator](https://github.com/kubernetes/community/blob/master/communication/contributor-comms/role-handbooks/blog-coordinator.md) | @fsmunoz |  Shadow role is available. |
| Emeritus | @parispittman, @mbbroberg |

## Contact Us!

- Reach out to an individual above via Slack
  - Ping the whole team: Join our slack #sig-contribex-comms or tag us @contributor-comms in #sig-contribex slack
- Tag us in an issue in [kubernetes/community] with the label [area/contributor-comms]
  - Set a marketing issue template in [kubernetes/community]
- Follow us on @K8sContributors on [Twitter] and [Mastodon]

## Join us!

We are always open to being a home for contributors to Kubernetes whether you code or not. 

To find out what projects we're currently working on and explore what you could do to contribute:
* Come to one of our [meetings] (Every Friday 8:00 PT, [Convert into your time zone](https://dateful.com/time-zone-converter?t=8:00&tz=PT%20%28Pacific%20Time%29)). See the [calendar] to add it to your own calendar.
* Reach out to us on the #sig-contribex-comms channel on the Kubernetes slack ([slack.k8s.io](http://slack.k8s.io)).
* Join our [mailing-list]

As with all contribution to Kubernetes, adhere to the [code of conduct], values, and principles of the project.

**NOTE** 

[meetings]: /sig-contributor-experience#contributor-comms
[calendar]: https://www.kubernetes.dev/resources/calendar/
[mailing-list]: https://groups.google.com/g/kubernetes-sig-contribex
[charter]: ./CHARTER.md
[Could be you!]: #could-be-you
[Contributor Experience]: /sig-contributor-experience
[Internal Communications]: ./role-handbooks/internal-marketing.md
[Social Media]: ./role-handbooks/social-media.md
[Comms Tech Lead]: ./role-handbooks/Comms-Tech-Lead.md
[Comms Blog Coordinator]: ./role-handbooks/blog-coordinator.md
[Storytellers]: ./role-handbooks/storytellers.md
[Designer]: ./role-handbooks/wip-roles.md
[kubernetes/community]: https://github.com/kubernetes/community/issues
[area/contributor-comms]: https://github.com/kubernetes/community/issues?q=is%3Aopen+is%3Aissue+label%3Aarea%2Fcontributor-comms
[Twitter]: https://twitter.com/K8sContributors/
[Mastodon]: https://hachyderm.io/@K8sContributors
[code of conduct]: https://github.com/kubernetes/community/blob/master/code-of-conduct.md