
# Contributor Comms Subproject Lead Role Handbook

## Overview

This handbook outlines expectations and responsibilities for Kubernetes Contributor Communications Subproject Leads and shadows.

Contributor Comms Subproject Leads are general, top level leads of any and all matters relating to the subproject. Individual area concerns should generally be handled by the area leads, but Subproject Leads may act as advisors or interim leads in cases where subproject leads are not available and a decision is needed.

General responsibilities which do not fall under an area lead may be assumed to be the responsibility of the Subproject Lead[s].

A shadow for the subproject lead role is someone who is expected, and in training, to take over the lead role.

## **Minimum Skills and Requirements**

A subproject lead should be/have:

* A member of the [Kubernetes GitHub Org](https://github.com/kubernetes/org)
* An active member of the Contributor Comms subproject
* Experience leading initiatives in the Contributor Comms subproject
* Demonstrated knowledge of the [team's charter](https://github.com/kubernetes/community/blob/master/communication/contributor-comms/CHARTER.md).
* Available to attend/lead regular Contributor Comms meetings and collaborate asynchronously via the #sig-contribex-comms channel in the Kubernetes Slack
* Able and willing to actively recruit members and shadows for the benefit of the entire team
* Able and willing to ensure urgent/critical topics are communicated in a timely and appropriate fashion. This may involve writing communications directly and/or appropriately overseeing delegated work.
* Strong communication skills. Setting and clarifying requirements, processes, and more.
* Able and willing to regularly attend/contribute to SIG-level meetings and initiatives.
* [Preferred] Familiar with managing a social media presence by either having personal accounts or managing another account (brand, OSS project, employer, local nonprofit, etc)

### **Expected Time Investment**

Team leads: 3-5 hours per week. Shadows: 1-3 hours per week.

## **General Expectations**

Contributor Communications Subproject Leads are responsible for a number of tasks that are delegated to the team from SIG Contributor Experience, this includes:

Subproject Lead-specific responsibilities include:

* Running Subproject Meetings
* Uphold the Kubernetes Code of Conduct especially in terms of personal behavior and responsibility
* Actively promote diversity and inclusion in the subproject
* Report the subproject status at events and community meetings wherever possible
    * SIG meetings
* Managing ownership of subproject repos (such as [kubernetes-sigs/contributor-tweets](https://github.com/kubernetes-sigs/contributor-tweets))
* Ensuring that role handbooks are created, updated, used, and deprecated as needed
* Managing the Contributor Comms team’s Slack presence
    * Alias
    * Channel
    * Team
* Managing how work is requested of the Contributor Communications Subproject
    * Managing issue/request workflows
* Handling emergency communications alongside the social media lead (e.g. passing of a community member, highly sensitive topics like dockershim, etc.)
* Understanding, communicating, and setting/adjusting the [subproject charter](https://github.com/kubernetes/community/blob/master/communication/contributor-comms/CHARTER.md)
* Coordinating work as needed among area leads and general team members
* Requesting funds from Kubernetes Steering Committee as needed
* Be welcoming, be yourself
* Finding and training new subproject and area leads as needed

## **Subproject Lead Shadowing**

Team members who wish to become subproject leads should express this desire to the current lead(s). Leads should work with shadows to understand their capacity to take on the needs of the lead role and work with the shadow on a plan for them to take on responsibility including:

* Regular meeting leadership
* Gaining familiarity with key connections, such as the SIG-ContribEx Chairs
* Becoming an owner (approver privileges) on relevant repos
* Troubleshooting skills
* Communication skills
* Prioritization skills
* Understanding and ownership of key subproject docs such as the [README](https://github.com/kubernetes/community/blob/master/communication/contributor-comms/README.md) and [Charter](https://github.com/kubernetes/community/blob/master/communication/contributor-comms/CHARTER.md)


### **Subproject Lead Shadow Eligibility**
Becoming a shadow is something that should come as a result of existing involvement in the team, and not as a starting point; to be eligible to shadow for this role you will need to be/have:

* An active member of the Comms team, by following the activities and the regular meetings.
* Demonstrated knowledge of the [team's charter](https://github.com/kubernetes/community/blob/master/communication/contributor-comms/CHARTER.md).
* An active contributor to the Contributor Comms subproject
* Experience leading initiatives in the Contributor Comms subproject
* Some experience working with Github and our PR process
* Familiar with Buffer
