# Blog Coordinator Handbook

This handbook outlines expectations and responsibilities for Blog
coordinator as well as Contributor Comms team members who wish to
contribute to blogging activities.

Writing and sharing articles is one of the ways through which
Kubernetes contributors add to the community, and the Blog Coordinator
role exists to

1. Serve as an initial point of contact for content suggestions
2. Help contributors to navigate the existing publishing processes
3. Assist in determining the final publishing targets of the content.
4. Coordinate with SIG-Docs in the publishing process, namely by
   following and improving the Blogging Guidelines.
5. Coordinate with the rest of the Contributor Comms team, and
   specifically the Social Media Coordinator, in the best ways to
   broaden external awareness of published content.

The [Kubernetes Contributor Blog](https://www.kubernetes.dev/blog/) is
one of the most direct points of entry for those that want to share
with a wider audience. The role of the Blog Coordinator is to guide
those that want to contribute in the best way to do so, while
coordinating with the rest of the team (including other Contributor
Comms team members) to assign editors, reviewers and other roles to
new submissions.

The Blog Coordinator has an active involvement in defining, with
others, the [Blogging
Guidelines](https://hackmd.io/@fsm/blog-guidelines), and should
constantly seek to improve them, with an eye on the improvement of the
contributor experience.


### Minimum Skills and Requirements

Those in this role should ideally:

* Be a member of the [Kubernetes GitHub
  Org](https://github.com/kubernetes/)
* Have some familiarity with blogging platforms and editing tools;
  specific knowledge of Markdown and Hugo is a plus.
* Have some familiarity with Git and GitHub-based workflows; these are
  extensively used in the Kubernetes project, and specifically in both
  the contributor site and the main website.
* Be available to either attend regular Contributor Comms meetings or
  collaborate asynchronously via the #sig-contribex-comms channel in
  the Kubernetes Slack.
* Have reasonable working knowledge of English, particularly in the
  written form.
* Have an interest in interacting with others; blogging is almost
  always a group effort that involves working with authors to achieve
  a commonly agreed result.

#### Expected time commitment

* Team leads: 3-5h per week.
* Team members: 1-3h per week.

### General Expectations

1. Be ready to help those wanting to contribute to the blogs.
2. Understand the Blogging Guidelines and assist contributors in
   following them.
3. Help in determining applicability of the proposed content, with the
   rest of the team: this includes discussion in the Slack channel or
   regular meeting.
4. Identify team members that can review blog submissions.
5. Discuss with SIG-Docs, when needed, for possible publication in the
   main Kubernetes site.
6. Review blog submissions.
7. Open the blog submission PR (with the author as Co-author), or find
   someone that can assist in this tasks within the Contributor Comms
   team.
8. Follow up submitted PRs and help with the approval process.

### Associates Overview (Shadow)

#### Description and eligibility

Anyone that is interested in helping the blogging team, and that
finds the general expectations and requirements acceptable, can start
working in the team and have their contributions to the project
recognised. Additionally, some will feel that they want to make a step
towards becoming Blogging Leads themselves.

Becoming a shadow is something that should come as a result of
existing involvement in the team, and not as a starting point; to be
eligible to shadow for this role you will need to:

* Be a regular member of the Comms team, by following the
  activities and the regular meetings.
* Have demonstrated knowledge of the blogging process and guidelines,
  namely by having been actively involved in the publishing process of
  articles.

Team members who want to become Blogging Leads _should express their
desire to the current lead_; leads should work with shadows to
understand their capacity to take on the needs of the lead role and
work with the shadow on a plan to take on the necessary
responsibility.

#### Expected contributions

Some of the identified requirements for blogging shadows are:

* **Become a reviewer of new submitted content**, by leading communication
  with content creators and guiding them through the publishing
  process.
* **Open the PRs and follow them through**, helping content creators
  in the more processual aspects of publishing, keeping them informed
  of the necessary steps and following the process untul completion.
* **Provide assistance to new contributors that are asking how to
  submit content**, by monitoring the Slack channel, Github, and other
  sources.
* **Make status updates in the SIG Contribex Comms meetings**, keeping
  the status of the relevant projects up-to-date (e.g., in the project
  board) and having a broad understanding of the different ongoing tasks.

This requirements are aligned with the general expectations described
above, but in the context of shadowing they follow a more structured
approach. The acting Blogging Lead will discuss the steps that need to
be taken to make the shadowing programme helpful and achieve the desired result.

Changes in roles are done by the SIG Contribex Comms subproject team
based on different inputs and needs, but having shadows that are ready
to assume a leading position is an important part of what makes it
possible.
