-------------------------------------------------------------
name: Jason DeTiberus
ID: detiber
info:
  - employer: Cisco
  - slack: jdetiber
-------------------------------------------------------------

## SIGS

- SIG Release
  - v1.9 Release Team: Upgrade Testing / CI Signal Shadow
  - v1.14 Release Team: Branch Manager Shadow
- SIG Contributor Experience
  - 2019 NA Contrib Summit SIG Meet & Greet Shadow
  - 2020 EU Contrib Summit SIG Meet & Greet Lead (unfortunately cancelled )
  - 2022 NA Contrib Summit Content Lead
  - 2023 EU Contrib Summit Content Lead
- SIG Beard Technical Lead

## What I have done

I have been involved in the greater Kubernetes community since 2015. Most folks likely know me through the work that I've done in SIG Cluster Lifecycle and Cluster API, where I lead the development of features and improvements unlocking real world production use.

More importantly, I was instrumental in expanding and growing the community around the Cluster API project. This included breaking down barriers between competing projects, vendor products, end users, and individual contributors. As a result, bringing the wide scale adoption of Cluster API as the defacto standard for building Kubernetes lifecycle management tooling.

Over the years, I have sought out ways to contribute back to the community, this includes serving on the Program Committee for KubeCon/CloudNativeCon, assisting with Kubernetes Contributor Summits, and most recently serving as a member of the Code of Conduct Committee.

### Emeritus roles

- Kubernetes Code of Conduct Committee
- [Cluster API](https://github.com/kubernetes-sigs/cluster-api) maintainer
- [Cluster API Provider AWS](https://github.com/kubernetes-sigs/cluster-api-provider-aws) maintainer
- [Cluster API Provider GCP](https://github.com/kubernetes-sigs/cluster-api-provider-gcp) maintainer
- [Cluster API Provider Packet](https://github.com/kubernetes-sigs/cluster-api-provider-packet) maintainer

## What I'll do

The biggest challenge that Kubernetes faces as a project is sustainability, and that is my top priority. I see this as a three pronged approach:

- Sustainability of Maintainers: ensuring that we have appropriate programs in place for mentorship, growth, and avoiding maintainer burnout.
- Sustainability of Contributors: ensuring that we are implementing processes to reduce the barrier to entry for new contributors and that we are actively fostering a diverse inclusive, and supportive environment for all contributors.
- Sustainability of Infrastructure: ensuring that we can head off future funding emergencies related to running the project infrastructure, that funding is not reliant on a single company, and we secure long term commitments for funding. 

## Resources About Me

- [GitHub](https://github.com/detiber)
- [LinkedIn](https://www.linkedin.com/in/detiber)
- [X (Twitter)](https://twitter.com/detiber)
- [Mastodon](https://hachyderm.io/@detiber)
- [BlueSky](https://bsky.app/profile/jason.detiber.us)
- [YouTube (talk playlist)](https://youtube.com/playlist?list=PL7PQoVTdHM_S8G9OtYWFcLWRkwZakbXOW)

