-------------------------------------------------------------
name: Paco Xu 徐俊杰
ID: pacoxu
info:
- employer: DaoCloud
- slack: pacoxu

-------------------------------------------------------------

## SIGS

- SIG-ClusterLifecycle: kubeadm maintainer
- SIG-Node: Reviewer
- SIG-CLI and SIG-Testing
- WG-LTS

## What I have done

I have worked in the infrastructure team of DaoCloud Enterprise Platform(the Kubernetes-based platform) since 2016. In Kubernetes community, I started my journey as an active kubernetes contributor, mainly working on SIG-Node, and SIG-CLI/SIG-Testing in 2018. I really appreciate the work in the Community and learned a lot from all of you, especially some maintainers in the community. With the help of current maintainers, I'm now one of kubeadm maintainers and SIG Node reviewers.
In SIG Node, my contributions span various aspects of node management. I have fixed issues related to node resources, and CI failures, and have also upgraded and improved functionalities to enhance node stability and performance.

I've been one of the [most active contributors](https://k8s.devstats.cncf.io/d/13/developer-activity-counts-by-repository-group?orgId=1&var-period_name=Last%203%20years&var-metric=contributions&var-repogroup_name=Kubernetes&var-repo_name=kubernetes%2Fkubernetes&var-country_name=All) to the project over the years.

I won the [2021 Kubernetes Contributor Award](https://www.kubernetes.dev/community/awards/2021/) for both SIG-ClusterLifecycle and SIG-CLI. And I organized KCD Chengdu 2022, and am a speaker in Kubecon EU 2023 and Kubecon China 2021. I am a member of the Program Committee for KubeCon China 2023. My speech in KCD Shanghai 2022 is about an introduction about SIG-Node & kubeadm, and how to participate.

As I worked in China, we released that there are many new contributors in China that cannot get a timely response in the community for the timezone reason, and we met the problem at the beginning as well. We helped them know the process and guide them to complete their contributions. I also helped in the Kubernetes Contributor Summit in China this year.

For WG-LTS, we started a [KLTS project](https://github.com/klts-io/kubernetes-lts) in 2021 and will participate in revived WG LTS.

## What I'll do

Serving in the Steering Committee, I think we will be an important interface between the project and CNCF. I will also maintain the governance documents and help to build paths within the community, among SIGs or WGs.

For daily contributions, I'm the leader of the open-source team in DaoCloud. As time goes on, I and my team will continue to do more within the community, driving the development and progress of the Kubernetes ecosystem. I will be in In-Person Kiosk at Kubecon China for SIG-Node Kubernetes Community. We will encourage attendees to contribute to the projects and answer questions about the community. Furthermore, I will continue to support new contributors within the community, especially those from China and working in APAC, helping them familiarize themselves with the processes and encouraging their active involvement. The project's health and new contributors are quite important to the community.

I deeply understand the responsibilities and obligations that come with being a Steering member, and I will approach this role with a positive attitude, a spirit of collaboration, and a continuous commitment to contribute to the project's long-term development and success. I have a passion for the Kubernetes community and hope to be given the opportunity to serve as a Steering member, contributing my efforts toward the prosperity and growth of the project.

## Resources About Me

- Speaker in KubeCon China 2023: [Kubernetes SIG Node Intro and Deep Dive](https://sched.co/1PTJk) and [How Can Pod Start-up Be Accelerated on Nodes in Large Clusters?](https://sched.co/1PTFR)
- Speaker in KubeCon EU 2023(in English): [Kubeadm Deep Dive](https://www.youtube.com/watch?v=ZqEtJzMwXgc)
- Orgnizer and Host of [KCD Chengdu 2022](https://space.bilibili.com/1274679632/channel/seriesdetail?sid=2818322)
- Speaker in KubeCon China 2021(in Chinese): [Kubernetes SIG Node: Intro and Deep Dive](https://www.youtube.com/watch?v=YdNb6Wlq1t8)
- Speaker in KCD Shanghai 2021: [Kubernetes Community: Kubeadm & SIG Node Intro and How to Participate?](https://youtu.be/LPEH9qxbNX4)
- Twitter: [xu_paco](https://twitter.com/xu_paco)
- WordPress: <https://pacoxu.wordpress.com/>
