# Contributing to the Contributor Workshop

## Overview

This folder contains guides and information on how to contribute to the Contributor Workshop.

## Workshop Structure

The workshop is divided into segments. These segments exist as individual pages in the ``content/en/docs/workshop`` directory on the branch ``workshop`` in the ``contributor-site`` repo.

Each of these segments contain:

* Written information
* One or more Exercises

and may contain a video version of the written information.

## Guides

### [Updating & Creating Segments](updating-segment.md)

How to update and create segments on the contributor site

### [Video Recording Guide for Contributor Workshop Segments](videoguide.md)

How to structure, record, upload and update video guides associated with workshop segments.

## Glossary of Terms

### Segment

A page in the workshop directory covering a particular section of the Contributor Workshop.
This page may contain

* Written information
* Video version of the segment
* Hands on exercise

### Exercise

A step by step, hands on activity within a segment.
