# Mentee Guide for Group Mentoring
This doc is a work in progress

## Welcome and Summary
Welcome prospective mentee! This is an experimental group mentoring program
where individuals will work self-paced in a semi-structured learning environment
over the course of three months. Want to get lgtm rights? Be a decision maker in
an OWNERS file? This could be a great way to get the knowledge you need, some
accountability to do it, and interact with active contributors who may on the
same path as you and our experienced Kubernetes developers.

During the three month period, you will work on a path to the next level of
membership which will take some work along with peers who have the same goal.
This cohort will include mentors who are at least the level that you are
targeting with ample experience in the project. These mentors will counsel but
not provide answers to the problem or the solution itself. Think of them as true
pilots of the sea - navigational experts - only to our codebase. At the end of
the three month period, you'll have conversations with the mentors about getting
into the OWNERs file.

Familiarize yourself with the [community membership requirements doc] including
the requirements needed for your specific journey. You’ll receive sponsorship
from the mentors and other people you've worked on issues/PRs with upon
successful completion of the program.

## Expectations  
* You understand the requirements to become $member_role (ex: member->reviewer)
* Good standing throughout the program and uphold our code of conduct
* Check-in during a designated day on slack for a "stand-up". Mentors will be
there that day, too, and guaranteed feedback.
* Be helpful to your peers in the cohort
* Give back and be a mentor in a future cohort
* Mutual respect from mentors and peers who are in the cohort with you

### Member to Reviewer Cohort
Topics that are good for discussion during that time period:
* Code Reviews the Kubernetes Way (i.e. best practices)
* How to groom issues for new members/contributors
* Communicating effectively (on GH and throughout project)
* Technical documentation
* Kubernetes Governance 201 (SIG deep dive, proposals)
* Testing (what should be an e2e test, how to write S, M, L, tests)
* Kubernetes Governance 101 (keps, subprojects, OWNERS files, steering committee,
etc.)
* Identifying & understanding issue backlog and prioritization
* Contributing to testing (how to run tests and create new ones)

Suggested Activity
* Be a tech reviewer for docs
* Write an E2E test
* Help out in #pr-reviews

### Current Approver Cohort
* Communicating effectively as a leader (on GH and throughout project)
* How to write better docs (release notes, etc.)
* How to propose a new feature (features, design proposals)
TODO: add more here

### Other Help Resources
- slack
	- #kubernetes-contributors
	- your respective sig or other sigs that could help
		- [SIG List]
		- #sig-contribex
	- #meet-our-contributors
	- #pr-reviews
- mailing lists
	- dev@kubernetes.io
	- your respective sig (ie - kubernetes-sig-cli@googlegroups.com)
- the docs
	- kubernetes/community is your friend for upstream workflows, processes, and
	information around contributing
	- This repo includes the community/contributors/devel folder which will be
	extra helpful that includes docs such as:
    - [Code Review Expectations]
    - [Collaboration on k8s]

Thank you to both mentees and mentors for taking on this new, unchartered
territory! We will be building documentation around you and appreciate your
guidance as a founding member of this program!

[community membership requirements doc]: /community-membership.md
[SIG List]: /sig-list.md
[Code Review Expectations]: /contributors/guide/expectations.md
[Collaboration on k8s]: /contributors/guide/contributing.md
