# Internship Mentoring Lead Handbook

## Overview

The Mentoring Lead role is created to help upstream Kubernetes contributors to participates in various mentorship programs like [GSoC](https://github.com/kubernetes/community/blob/master/mentoring/programs/google-summer-of-code.md), [GSoD](https://github.com/kubernetes/community/blob/master/mentoring/programs/google-season-of-docs.md), [LFX Mentorship](https://github.com/kubernetes/community/blob/master/mentoring/programs/lfx-mentorship.md) and many more as an independent organisation or under Cloud Native Computing Foundation(CNCF). 

## Responsibilities
 The role lead should:

- Keep a calendar of dates for each program (when to submit our project name, when to submit the project scope, when selecting period is, etc) throughout the   year and
- Reach out to SIGs to submit proposals/projects so as to ensure healthy number of projects for an internship cohort.
- Coordinate all submissions and participation in each one, responsible for following up with mentors during evaluation period.
- Go to sig meetings and slack channels to proactively help with scoping and planning work / job descriptions.
- Help onboard interns to the k8s specific community items like coordinate a hello for them at the k8s monthly community meeting, 
- Help off board interns to the k8s specific community items like demo at monthly community meeting.
- Be a point of contact (unless delegated otherwise) for applicants and mentees, and should respond to queries within a reasonable amount of time.
- Should try and delegate work among shadows and mentor the shadows along the way.
- Should train and pass on the responsibility to a shadow in 24 months time period. 


### Role Description

Major responsibilities includes a commitment to: 

- Be proactive in information sharing, through the mailing list/slack channels, regarding various mentorship cohorts
- Be a bridge between the CNCF staff, mentors, and mentees from kubernetes project
- Be an active contributor, who could identify parts of the project that could get help from mentorship programs
- Be a go-to person for all SIGs to help them with their mentorship proposals
- Be welcoming of everyone by being your unique self
- Be inclusive on contributors, especially with new contributors joining kubernetes project as part of the mentoring process
- Be a leader of the mentoring sub-project with a commitment to its charter
- Be able to mentor and train a shadow so as to find a replacement for the lead role within 24 months.

### Minimum Skills and Requirements

Skills:

- Be comfortable with general GitHub workflows. You'll be working inside of multiple repositories with different workflows and helping others on the team with troubleshooting.
- Be a team player, making the project welcoming for new mentees and helping other members of the project interested to part in mentorship with the process.
- Be willing and capable of saying "no" as necessary, but try to get to a "yes, and" to help the community achieve its goals. In short, be empathetic.
- Strong written and verbal communication skills. A willingness to meet (a lot) of new people is important for this work.

Requirements:

- Member of the [Kubernetes GitHub Org]
- [Reviewer] in the mentoring folder
- Not Necessary, but a previous mentee/mentor in any of the mentorship programme is preferrable

#### Expected Time Investment

- Four hours a week as a minimal target, might be two hours more during the proposal appplication period

#### Duration  

Ideally, no lead should be in the same position indefinitely. With that in mind,the project would like to see new leadership every 24 months to keep a fresh perspective. 

### Becoming a Shadow

Any regular contributor to mentoring subproject can put forward their interest to the mentoring lead to become a shadow. If accepted, the objective of the lead and mentoring sub-project members is to nurture that shadow into a leadership position in the next 12 months. 

#### Expectations of a Shadow

Consistently communicate and collaborate closely with the lead. The objective is to get you, as the shadow, to be a confident leader of the above responsibilities. Be ready to backfill for them when they are unable to attend a meeting or represent the subproject.