# Shadow Roles Throughout the Kubernetes Ecosystem
This area lists all of the shadow programs and how to get involved.

Some areas are still in the process of forming shadow roles. 

## Release Team
This SIG release team is embedded within SIG Release and is responsible for the day to day work required to successfully release while the SIG at large is focused on the continued improvement of the release process.

An overview of the release team can be found [here](https://git.k8s.io/sig-release/release-team)

The list of roles and duties can be found [here](https://git.k8s.io/sig-release/release-team/role-handbooks)

## API Review

## Contributor Summit Planning
The Content subteam creates in person and virtual experiences for new and current contributors to come learn, share and collaborate. 

The list of roles and duties can be found [here](https://github.com/kubernetes/community/tree/master/events/events-team/content)

## Contributor/Community Repository Triage
The contributor/community repository triage team exist to speed up management of issues and PRs under k/community repository

The list of duties can be found [here](https://github.com/kubernetes/community/blob/master/sig-contributor-experience/triage-team/triage.md)

## Production Readiness Review

Production readiness reviews are intended to ensure that features merging into Kubernetes are observable, scalable and supportable, can be safely operated in production environments, and can be disabled or rolled back in the event they cause increased failures in production.

The list of roles and duties can be found [here](https://github.com/kubernetes/community/blob/master/sig-architecture/production-readiness.md)

## Contributor Comms
The mission of the Kubernetes Contributor Comms Team is to elevate the hard work being done throughout the Kubernetes 
community by its contributors. Promoting the work and helping fill the needs of the Kubernetes community is the driving 
force behind the Kubernetes Contributor Comms Team. The goal of this work is to improve the overall sustainability of 
the project by giving or elevating information to contributors so they stay well informed.

The list of roles and duties can be found [here](https://github.com/kubernetes/community/tree/master/communication/contributor-comms/role-handbooks)

## SIG-Docs-Blog  
The Kubernetes Blog Subproject is owned by SIG-Docs and run by the Editorial Team.

The list of roles and duties can be found [here](https://github.com/kubernetes/community/tree/master/sig-docs/blog-subproject/role-handbooks)
