<!---
This is an autogenerated file!

Please do not edit this file directly, but instead make changes to the
sigs.yaml file in the project root.

To understand how this file is generated, see https://git.k8s.io/community/generator/README.md
--->
# etcd Special Interest Group

etcd is a production-ready store for building cloud-native distributed systems and managing cloud-native infrastructure via orchestrators like Kubernetes.
Etcd should provide distributed system primitives** (such as distributed locking and leader election) that allow users to **create scalable, highly available and fault-tolerant systems.
Etcd is the place to store the infrastructure configuration, not only as part of Kubernetes, but also as a standalone solution.

The [charter](charter.md) defines the scope and governance of the etcd Special Interest Group.

## Meetings
*Joining the [mailing list](https://groups.google.com/g/etcd-dev) for the group will typically add invites for the following meetings to your calendar.*
* Regular SIG Meeting: [Thursdays at 11:00 PT (Pacific Time)](https://zoom.us/my/cncfetcdproject) (biweekly). [Convert to your timezone](http://www.thetimezoneconverter.com/?t=11:00&tz=PT%20%28Pacific%20Time%29).
  * [Meeting notes and Agenda](https://docs.google.com/document/d/16XEGyPBisZvmmoIHSZzv__LoyOeluC5a4x353CX0SIM/edit?usp=sharing).
  * [Meeting recordings](https://www.youtube.com/playlist?list=PLRGL688DpO9rtufHbiunuCHddYY6MGkwW).

## Leadership

### Chairs
The Chairs of the SIG run operations and processes governing the SIG.

* James Blair (**[@jmhbnz](https://github.com/jmhbnz)**), Red Hat
* Wenjia Zhang (**[@wenjiaswe](https://github.com/wenjiaswe)**), Google

### Technical Leads
The Technical Leads of the SIG establish new subprojects, decommission existing
subprojects, and resolve cross-subproject technical issues and decisions.

* Benjamin Wang (**[@ahrtr](https://github.com/ahrtr)**), VMWare
* Marek Siarkowicz (**[@serathius](https://github.com/serathius)**), Google

## Contact
- Slack: [#etcd](https://kubernetes.slack.com/messages/etcd)
- [Mailing list](https://groups.google.com/g/etcd-dev)
- [Open Community Issues/PRs](https://github.com/kubernetes/community/labels/sig%2Fetcd)
- GitHub Teams:
    - [@kubernetes/sig-etcd-leads](https://github.com/orgs/kubernetes/teams/sig-etcd-leads) - SIG Chairs and Tech Leads
- Steering Committee Liaison: Bob Killen (**[@mrbobbytables](https://github.com/mrbobbytables)**)

## Subprojects

The following [subprojects][subproject-definition] are owned by sig-etcd:
### bbolt
An embedded key/value database for Go.
- **Owners:**
  - [etcd-io/bbolt/MAINTAINERS](https://github.com/etcd-io/bbolt/blob/master/MAINTAINERS)
### cetcd
Serve Consul with etcd
- **Owners:**
  - [etcd-io/cetcd/MAINTAINERS](https://github.com/etcd-io/cetcd/blob/master/MAINTAINERS)
### dbtester
Distributed database benchmark tester
- **Owners:**
  - [etcd-io/dbtester/MAINTAINERS](https://github.com/etcd-io/dbtester/blob/master/MAINTAINERS)
### discovery.etcd.io
Kubernetes manifests powering discovery.etcd.io
- **Owners:**
  - [etcd-io/discovery.etcd.io/MAINTAINERS](https://github.com/etcd-io/discovery.etcd.io/blob/master/MAINTAINERS)
### discoveryserver
Public etcd Discovery Service
- **Owners:**
  - [etcd-io/discoveryserver/MAINTAINERS](https://github.com/etcd-io/discoveryserver/blob/master/MAINTAINERS)
### etcd
Distributed reliable key-value store for the most critical data of a distributed system
- **Owners:**
  - [etcd-io/etcd/MAINTAINERS](https://github.com/etcd-io/etcd/blob/master/MAINTAINERS)
### etcd-play
etcd playground
- **Owners:**
  - [etcd-io/etcd-play/MAINTAINERS](https://github.com/etcd-io/etcd-play/blob/master/MAINTAINERS)
### etcdlabs
etcd playground
- **Owners:**
  - [etcd-io/etcdlabs/MAINTAINERS](https://github.com/etcd-io/etcdlabs/blob/master/MAINTAINERS)
### gofail
failpoints for go
- **Owners:**
  - [etcd-io/gofail/MAINTAINERS](https://github.com/etcd-io/gofail/blob/master/MAINTAINERS)
### govanityurls
Use a custom domain in your Go import path
- **Owners:**
  - [etcd-io/govanityurls/MAINTAINERS](https://github.com/etcd-io/govanityurls/blob/master/MAINTAINERS)
### jetcd
etcd java client
- **Owners:**
  - [etcd-io/jetcd/MAINTAINERS](https://github.com/etcd-io/jetcd/blob/master/MAINTAINERS)
### maintainers
issue tracking for project wide non-code concerns
- **Owners:**
  - [etcd-io/maintainers/MAINTAINERS](https://github.com/etcd-io/maintainers/blob/master/MAINTAINERS)
### protodoc
protodoc generates Protocol Buffer documentation.
- **Owners:**
  - [etcd-io/protodoc/MAINTAINERS](https://github.com/etcd-io/protodoc/blob/master/MAINTAINERS)
### raft
Raft library for maintaining a replicated state machine
- **Owners:**
  - [etcd-io/raft/MAINTAINERS](https://github.com/etcd-io/raft/blob/master/MAINTAINERS)
### website
etcd-io
- **Owners:**
  - [etcd-io/website/MAINTAINERS](https://github.com/etcd-io/website/blob/master/MAINTAINERS)
### zetcd
Serve the Apache Zookeeper API but back it with an etcd cluster
- **Owners:**
  - [etcd-io/zetcd/MAINTAINERS](https://github.com/etcd-io/zetcd/blob/master/MAINTAINERS)

[subproject-definition]: https://github.com/kubernetes/community/blob/master/governance.md#subprojects
[working-group-definition]: https://github.com/kubernetes/community/blob/master/governance.md#working-groups
<!-- BEGIN CUSTOM CONTENT -->

<!-- END CUSTOM CONTENT -->
